package com.njcn.pojo.excelreport;

import com.njcn.pojo.configuration.OverLimit;

import java.util.List;

public class OverLimitInfoData {
    private List<OverLimit> overLimitRate;
    private Double count;
    private Double pltCount;
    private Double pstCount;
    private Integer mode; //监测点接线方式
    private List<String> list; //相别

    public List<String> getList() {
        return list;
    }

    public void setList(List<String> list) {
        this.list = list;
    }

    public Integer getMode() {
        return mode;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public List<OverLimit> getOverLimitRate() {
        return overLimitRate;
    }

    public void setOverLimitRate(List<OverLimit> overLimitRate) {
        this.overLimitRate = overLimitRate;
    }

    public Double getCount() {
        return count;
    }

    public void setCount(Double count) {
        this.count = count;
    }

    public Double getPltCount() {
        return pltCount;
    }

    public void setPltCount(Double pltCount) {
        this.pltCount = pltCount;
    }

    @Override
    public String toString() {
        return "OverLimitInfoData{" +
                "overLimitRate=" + overLimitRate +
                ", count=" + count +
                ", pltCount=" + pltCount +
                ", pstCount=" + pstCount +
                '}';
    }

    public Double getPstCount() {
        return pstCount;
    }

    public void setPstCount(Double pstCount) {
        this.pstCount = pstCount;
    }
}
